Merge branch 'ab/pcre-v2'
authorJunio C Hamano <gitster@pobox.com>
Mon, 9 Apr 2018 23:25:43 +0000 (08:25 +0900)
committerJunio C Hamano <gitster@pobox.com>
Mon, 9 Apr 2018 23:25:43 +0000 (08:25 +0900)
commitcac5351363c5713248b8494e1e58e282c0a5bde7
tree8d15f7e9b53b259a9a98eca8c071d9b080c4d4d5
parent5d806b74d5223d0c19afd023fea3b321cc5bc717
parente6c531b80819a81b7ea37fc295f2edda5f345212
Merge branch 'ab/pcre-v2'

Git can be built to use either v1 or v2 of the PCRE library, and so
far, the build-time configuration USE_LIBPCRE=YesPlease instructed
the build procedure to use v1, but now it means v2.  USE_LIBPCRE1
and USE_LIBPCRE2 can be used to explicitly choose which version to
use, as before.

* ab/pcre-v2:
  Makefile: make USE_LIBPCRE=YesPlease mean v2, not v1
  configure: detect redundant --with-libpcre & --with-libpcre1
  configure: fix a regression in PCRE v1 detection
Makefile